unit _Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, DBTables, Db, ExtCtrls, Grids,
  DBGrids, DBCtrls, ComCtrls, ToolWin, sqlscript;

type
  TForm1 = class(TForm)
    Query1: TQuery;
    DataSource1: TDataSource;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    Memo1: TMemo;
    Button1: TButton;
    DBGrid1: TDBGrid;
    SQLScript1: TSQLScript;
    UpdateSQLScript1: TUpdateSQLScript;
    Panel1: TPanel;
    DBNavigator1: TDBNavigator;
    Button3: TButton;
    Button4: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure SQLScript1Directive(Sender: TObject; Directive,
      Argument: String; var StopExecution: Boolean);
    procedure Button2Click(Sender: TObject);
    procedure SQLScript1SQLStatement(Sender: TObject;
      SQL_Statement: TStrings; var StopExecution: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
 SQLScript1.SQL.Assign(Memo1.Lines);
 
 while SQLScript1.Available() do begin
   ShowMessage(SQLScript1.NextStatement());
 end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 SQLScript1.SQL.Assign(Memo1.Lines);
 SQLScript1.Execute();
end;


procedure TForm1.Button3Click(Sender: TObject);
begin
 Query1.Close();
 Query1.Open();
end;

procedure TForm1.Button4Click(Sender: TObject);
begin

  ShowMessage(UpdateSQLScript1.ModifySQL.Text);

  with Query1 do begin

    try
      ApplyUpdates();
      CommitUpdates();
    except

      on E : Exception do begin
        CancelUpdates();
        raise;
      end;

    end;

  end;

end;




procedure TForm1.SQLScript1Directive(Sender: TObject; Directive,
  Argument: String; var StopExecution: Boolean);
begin
  ShowMessage(   'OnDirective event:' + #13
               + '===================' + #13
               + 'Directive=' + Directive + #13
               + 'Argument=' + Argument);
end;

procedure TForm1.SQLScript1SQLStatement(Sender: TObject;
  SQL_Statement: TStrings; var StopExecution: Boolean);
begin
  ShowMessage(   'OnSQLStatement event:' + #13
               + '===================' + #13
               + SQL_Statement.Text);
end;

end.
